components:
  schemas:
    Capacity_v1_0_3_Capacity:
      additionalProperties: false
      description: This is the schema definition for the Capacity of a device. It
        represents the properties for capacity for any data store.
      properties:
        Data:
          $ref: '#/components/schemas/Capacity_v1_0_3_CapacityInfo'
          description: The capacity information relating to the user data.
          x-longDescription: The value shall be capacity information relating to provisioned
            user data.
        IsThinProvisioned:
          description: Marks that the capacity is not necessarily fully allocated.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: If the value is false, the capacity shall be fully allocated.  The
            default value shall be false.
        Metadata:
          $ref: '#/components/schemas/Capacity_v1_0_3_CapacityInfo'
          description: The capacity information relating to  metadata.
          x-longDescription: The value shall be capacity information relating to provisioned
            system (non-user accessible) data.
        Snapshot:
          $ref: '#/components/schemas/Capacity_v1_0_3_CapacityInfo'
          description: The capacity information relating to snapshot or backup data.
          x-longDescription: The value shall be capacity information relating to provisioned
            snapshot or backup data.
      type: object
      x-longDescription: This composition may be used to represent storage capacity.  The
        sum of the values in Data, Metadata, and Snapshot shall be equal to the total
        capacity for the data store.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Capacity_v1_0_3_CapacityInfo:
      additionalProperties: false
      description: The capacity of specific data type in a data store.
      properties:
        AllocatedBytes:
          description: The number of bytes currently allocated by the storage system
            in this data store for this data type.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value shall be the number of bytes currently allocated
            by the storage system in this data store for this data type.
          x-units: By
        ConsumedBytes:
          description: The number of bytes consumed in this data store for this data
            type.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: The value shall be the number of logical bytes currently
            consumed in this data store for this data type.
          x-units: By
        GuaranteedBytes:
          description: The number of bytes the storage system guarantees can be allocated
            in this data store for this data type.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value shall be the number of bytes the storage system
            guarantees can be allocated in this data store for this data type.
          x-units: By
        ProvisionedBytes:
          description: The maximum number of bytes that can be allocated in this data
            store for this data type.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value shall be the maximum number of bytes that can
            be allocated in this data store for this data type.
          x-units: By
      type: object
      x-longDescription: This composition may be used to represent the utilization
        of storage capacity.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Capacity_v1_0_3_CapacitySource:
      additionalProperties: false
      description: A description of the type and source of storage.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        ProvidedCapacity:
          $ref: '#/components/schemas/Capacity_v1_0_3_Capacity'
          description: The amount of space that has been provided from the ProvidingDrives,
            ProvidingVolumes, ProvidingMemory or ProvidingPools.
          x-longDescription: The value shall be the amount of space that has been
            provided from the ProvidingDrives, ProvidingVolumes, ProvidingMemory or
            ProvidingPools.
        ProvidedClassOfService:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The ClassOfService provided from the ProvidingDrives, ProvidingVolumes,
            ProvidingMemoryChunks, ProvidingMemory or ProvidingPools.
          x-longDescription: The value shall reference the provided ClassOfService
            from the ProvidingDrives, ProvidingVolumes, ProvidingMemoryChunks, ProvidingMemory
            or ProvidingPools.
        ProvidingDrives:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The drive or drives that provide this space.
          x-longDescription: If present, the value shall be a reference to a contributing
            drive or drives.
        ProvidingPools:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The pool or pools that provide this space.
          x-longDescription: If present, the value shall be a reference to a contributing
            storage pool or storage pools.
        ProvidingVolumes:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The volume or volumes that provide this space.
          x-longDescription: If present, the value shall be a reference to a contributing
            volume or volumes.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This composition may be used to represent the source and
        type of storage capacity.  At most one of the ProvidingDrives, ProvidingVolumes,
        ProvidingMemoryChunks, ProvidingMemory or ProvidingPools properties may have
        a value.  If any of ProvidingDrives, ProvidingVolumes, ProvidingMemory or
        ProvidingPools reference more than one resource, allocation of capacity across
        those resources is implementation dependent.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Capacity.v1_0_3.CapacitySource'
x-copyright: Copyright 2015-2022 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: TP v1.0.3
